<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" version="2.0" xpath-default-namespace="http://www.tei-c.org/ns/1.0"><xsl:output method="html"/><xsl:template match="TEI"><html xmlns="http://www.w3.org/1999/xhtml"><head><title>Choose BZA Cluster</title><style type="text/css" xml:space="preserve">
                    body { font-size:14pt; 
                    background-color:#F0F8FF;
                    font-family: "Arial Unicode MS", sans-serif; 
                    padding;0; margin:0;
                    }
                    .top {font-size: smaller; background:#ddf;}
                    .top&gt;p {margin-left:5%;}
                    .sidebar {
                    position: fixed; top: 50%; left: 0%; width: 4%;
                    font-size:50%;
                    background-color: #ddf;
                    border: 1px solid silver;
                    }
                    .sidebar&gt;p {padding-left: 1em;}
                    .content {margin-left: 5%; margin-right: 5%;}
                    table {border-collapse: collapse;}
                    th {padding:3px; border:1px solid black;}
                    td {padding:3px; border:1px solid black;}
                    a {text-decoration:none;}
                </style><script language="JavaScript" type="text/javascript">
                  
                        function siv(nm){                        
                        var element=document.getElementById(nm);
                        element.scrollIntoView();                        
                        } 
                        </script><meta http-equiv="content-type" content="text/html; charset=UTF-8"/></head><body><div class="sidebar"><p><a href="http://buddhistinformatics.ddbc.edu.tw/BZA/">Home</a><br/><br/><a href="http://buddhistinformatics.ddbc.edu.tw/BZA/bzaAbbr.html">Abbr.s</a><br/><br/><a href="http://buddhistinformatics.ddbc.edu.tw/BZA/search.xql">Search</a><br/><br/><a href="#top">Top</a></p></div><div class="content"><h3>The sutras of the BZA in their original order</h3><p>The BZA appears in two different versions in the Chinese Buddhist canon: as 16 fascicle edition and 20 fascicle edition. 
                        <br/>The 16 fascicle version seems first to have appeared in the Kaibao edition (972-983), which is widely considered the first printed edition of the canon. Based on the Kaibao, the Jin edition 趙城金藏 (1149-1173), as well as the first (completed 1087) and second carving of the Tripitaka Koreana 高麗大藏經  (1236-1251) divide the text in 16 fascicles. Later in Japan, now based on the Tripitaka Koreana, the Shukusatsu edition 縮刷 (1880-1885), the Manji edition 卍字 (1902-1905) and the Taishō edition 大正 (1924-1934) continue this inferior version. Modern editions from China like the Pinjia Vihāra edition 頻伽精舍 (1909-1913), which is based on the Shukusatsu, the Fojiao Dazangjing 佛教大藏經 (1983), which is based on the Pinjia, and the Zhonghua edition 中華 (1984), a photographic reproduction of the Jin edition, all have the 16 fascicle version. <br/>Against this stemma most editions printed in China after the early Sung until the 20th century divide the BZA in 20 juan-chapters. E.g. the Qidan 契丹 (c.1050),  the Chungning 崇寧萬壽藏 (c.1140), the Pilu  毘盧藏 (1112-1151), the Yuanjue 思溪圓覺藏 (c.1160) , the Zifu 資福藏 (1175), the Qisha 磧砂藏 (1258-1322), the Puning 普寧藏 (1277-1290), the Hongwu 洪武南藏 (1372-1398), the southern and northern Yongle editions 永樂南藏 (1410?-before 1419) and 永樂北藏 (1421-1440), the Jiaxing 嘉興藏 (1676), and the Dragon or Qianlong edition 龍藏 / 乾隆藏 (1733-1738).
                        <br/>Though both versions contain the same 364 sutras, the order of the text after the first six juan (sutras 1-100) differs considerably. As has been remarked by Anesaki Masaharu (1908), Lü Cheng (1924), Maeda Egaku (1964, pp. 648-662), Shi Yinshun (1983) and Roderick Bucknell (2008) the original order of the sutras in the BZA is far closer to the 20-juan version than to the 16-juan version. The original order can be reconstructed with the help of the Uddāna - the short mnemonic verses attached after each each sutra group - and some logical inference. The orginal order of the sutras given below follows Bucknell's detailed reconstruction (Bucknell 2008: 49). After the first five fascicles the original order differs considerably from the 16 fascicle and slightly from the 20 fascicle version.</p><p> Please click on a BZA number in the left column to view a cluster (Number here is the number assigned in the Taishō edition). </p><form name="goto"><p>Go to BZA No:
                    <select onchange="siv(value);" name="elm">bza
<option value="bza001">bza001</option><option value="bza002">bza002</option><option value="bza003">bza003</option><option value="bza004">bza004</option><option value="bza005">bza005</option><option value="bza006">bza006</option><option value="bza007">bza007</option><option value="bza008">bza008</option><option value="bza009">bza009</option><option value="bza010">bza010</option><option value="bza011">bza011</option><option value="bza012">bza012</option><option value="bza013">bza013</option><option value="bza014">bza014</option><option value="bza015">bza015</option><option value="bza016">bza016</option><option value="bza017">bza017</option><option value="bza018">bza018</option><option value="bza019">bza019</option><option value="bza020">bza020</option><option value="bza021">bza021</option><option value="bza022">bza022</option><option value="bza023">bza023</option><option value="bza024">bza024</option><option value="bza025">bza025</option><option value="bza026">bza026</option><option value="bza027">bza027</option><option value="bza028">bza028</option><option value="bza029">bza029</option><option value="bza030">bza030</option><option value="bza031">bza031</option><option value="bza032">bza032</option><option value="bza033">bza033</option><option value="bza034">bza034</option><option value="bza035">bza035</option><option value="bza036">bza036</option><option value="bza037">bza037</option><option value="bza038">bza038</option><option value="bza039">bza039</option><option value="bza040">bza040</option><option value="bza041">bza041</option><option value="bza042">bza042</option><option value="bza043">bza043</option><option value="bza044">bza044</option><option value="bza045">bza045</option><option value="bza046">bza046</option><option value="bza047">bza047</option><option value="bza048">bza048</option><option value="bza049">bza049</option><option value="bza050">bza050</option><option value="bza051">bza051</option><option value="bza052">bza052</option><option value="bza053">bza053</option><option value="bza054">bza054</option><option value="bza055">bza055</option><option value="bza056">bza056</option><option value="bza057">bza057</option><option value="bza058">bza058</option><option value="bza059">bza059</option><option value="bza060">bza060</option><option value="bza061">bza061</option><option value="bza062">bza062</option><option value="bza063">bza063</option><option value="bza064">bza064</option><option value="bza065">bza065</option><option value="bza066">bza066</option><option value="bza067">bza067</option><option value="bza068">bza068</option><option value="bza069">bza069</option><option value="bza070">bza070</option><option value="bza071">bza071</option><option value="bza072">bza072</option><option value="bza073">bza073</option><option value="bza074">bza074</option><option value="bza075">bza075</option><option value="bza076">bza076</option><option value="bza077">bza077</option><option value="bza078">bza078</option><option value="bza079">bza079</option><option value="bza080">bza080</option><option value="bza081">bza081</option><option value="bza082">bza082</option><option value="bza083">bza083</option><option value="bza084">bza084</option><option value="bza085">bza085</option><option value="bza086">bza086</option><option value="bza087">bza087</option><option value="bza088">bza088</option><option value="bza089">bza089</option><option value="bza090">bza090</option><option value="bza091">bza091</option><option value="bza092">bza092</option><option value="bza093">bza093</option><option value="bza094">bza094</option><option value="bza095">bza095</option><option value="bza096">bza096</option><option value="bza097">bza097</option><option value="bza098">bza098</option><option value="bza099">bza099</option><option value="bza100">bza100</option><option value="bza101">bza101</option><option value="bza102">bza102</option><option value="bza103">bza103</option><option value="bza104">bza104</option><option value="bza105">bza105</option><option value="bza106">bza106</option><option value="bza107">bza107</option><option value="bza108">bza108</option><option value="bza109">bza109</option><option value="bza110">bza110</option><option value="bza111">bza111</option><option value="bza112">bza112</option><option value="bza113">bza113</option><option value="bza114">bza114</option><option value="bza115">bza115</option><option value="bza116">bza116</option><option value="bza117">bza117</option><option value="bza118">bza118</option><option value="bza119">bza119</option><option value="bza120">bza120</option><option value="bza121">bza121</option><option value="bza122">bza122</option><option value="bza123">bza123</option><option value="bza124">bza124</option><option value="bza125">bza125</option><option value="bza126">bza126</option><option value="bza127">bza127</option><option value="bza128">bza128</option><option value="bza129">bza129</option><option value="bza130">bza130</option><option value="bza131">bza131</option><option value="bza132">bza132</option><option value="bza133">bza133</option><option value="bza134">bza134</option><option value="bza135">bza135</option><option value="bza136">bza136</option><option value="bza137">bza137</option><option value="bza138">bza138</option><option value="bza139">bza139</option><option value="bza140">bza140</option><option value="bza141">bza141</option><option value="bza142">bza142</option><option value="bza143">bza143</option><option value="bza144">bza144</option><option value="bza145">bza145</option><option value="bza146">bza146</option><option value="bza147">bza147</option><option value="bza148">bza148</option><option value="bza149">bza149</option><option value="bza150">bza150</option><option value="bza151">bza151</option><option value="bza152">bza152</option><option value="bza153">bza153</option><option value="bza154">bza154</option><option value="bza155">bza155</option><option value="bza156">bza156</option><option value="bza157">bza157</option><option value="bza158">bza158</option><option value="bza159">bza159</option><option value="bza160">bza160</option><option value="bza161">bza161</option><option value="bza162">bza162</option><option value="bza163">bza163</option><option value="bza164">bza164</option><option value="bza165">bza165</option><option value="bza166">bza166</option><option value="bza167">bza167</option><option value="bza168">bza168</option><option value="bza169">bza169</option><option value="bza170">bza170</option><option value="bza171">bza171</option><option value="bza172">bza172</option><option value="bza173">bza173</option><option value="bza174">bza174</option><option value="bza175">bza175</option><option value="bza176">bza176</option><option value="bza177">bza177</option><option value="bza178">bza178</option><option value="bza179">bza179</option><option value="bza180">bza180</option><option value="bza181">bza181</option><option value="bza182">bza182</option><option value="bza183">bza183</option><option value="bza184">bza184</option><option value="bza185">bza185</option><option value="bza186">bza186</option><option value="bza187">bza187</option><option value="bza188">bza188</option><option value="bza189">bza189</option><option value="bza190">bza190</option><option value="bza191">bza191</option><option value="bza192">bza192</option><option value="bza193">bza193</option><option value="bza194">bza194</option><option value="bza195">bza195</option><option value="bza196">bza196</option><option value="bza197">bza197</option><option value="bza198">bza198</option><option value="bza199">bza199</option><option value="bza200">bza200</option><option value="bza201">bza201</option><option value="bza202">bza202</option><option value="bza203">bza203</option><option value="bza204">bza204</option><option value="bza205">bza205</option><option value="bza206">bza206</option><option value="bza207">bza207</option><option value="bza208">bza208</option><option value="bza209">bza209</option><option value="bza210">bza210</option><option value="bza211">bza211</option><option value="bza212">bza212</option><option value="bza213">bza213</option><option value="bza214">bza214</option><option value="bza215">bza215</option><option value="bza216">bza216</option><option value="bza217">bza217</option><option value="bza218">bza218</option><option value="bza219">bza219</option><option value="bza220">bza220</option><option value="bza221">bza221</option><option value="bza222">bza222</option><option value="bza223">bza223</option><option value="bza224">bza224</option><option value="bza225">bza225</option><option value="bza226">bza226</option><option value="bza227">bza227</option><option value="bza228">bza228</option><option value="bza229">bza229</option><option value="bza230">bza230</option><option value="bza231">bza231</option><option value="bza232">bza232</option><option value="bza233">bza233</option><option value="bza234">bza234</option><option value="bza235">bza235</option><option value="bza236">bza236</option><option value="bza237">bza237</option><option value="bza238">bza238</option><option value="bza239">bza239</option><option value="bza240">bza240</option><option value="bza241">bza241</option><option value="bza242">bza242</option><option value="bza243">bza243</option><option value="bza244">bza244</option><option value="bza245">bza245</option><option value="bza246">bza246</option><option value="bza247">bza247</option><option value="bza248">bza248</option><option value="bza249">bza249</option><option value="bza250">bza250</option><option value="bza251">bza251</option><option value="bza252">bza252</option><option value="bza253">bza253</option><option value="bza254">bza254</option><option value="bza255">bza255</option><option value="bza256">bza256</option><option value="bza257">bza257</option><option value="bza258">bza258</option><option value="bza259">bza259</option><option value="bza260">bza260</option><option value="bza261">bza261</option><option value="bza262">bza262</option><option value="bza263">bza263</option><option value="bza264">bza264</option><option value="bza265">bza265</option><option value="bza266">bza266</option><option value="bza267">bza267</option><option value="bza268">bza268</option><option value="bza269">bza269</option><option value="bza270">bza270</option><option value="bza271">bza271</option><option value="bza272">bza272</option><option value="bza273">bza273</option><option value="bza274">bza274</option><option value="bza275">bza275</option><option value="bza276">bza276</option><option value="bza277">bza277</option><option value="bza278">bza278</option><option value="bza279">bza279</option><option value="bza280">bza280</option><option value="bza281">bza281</option><option value="bza282">bza282</option><option value="bza283">bza283</option><option value="bza284">bza284</option><option value="bza285">bza285</option><option value="bza286">bza286</option><option value="bza287">bza287</option><option value="bza288">bza288</option><option value="bza289">bza289</option><option value="bza290">bza290</option><option value="bza291">bza291</option><option value="bza292">bza292</option><option value="bza293">bza293</option><option value="bza294">bza294</option><option value="bza295">bza295</option><option value="bza296">bza296</option><option value="bza297">bza297</option><option value="bza298">bza298</option><option value="bza299">bza299</option><option value="bza300">bza300</option><option value="bza301">bza301</option><option value="bza302">bza302</option><option value="bza303">bza303</option><option value="bza304">bza304</option><option value="bza305">bza305</option><option value="bza306">bza306</option><option value="bza307">bza307</option><option value="bza308">bza308</option><option value="bza309">bza309</option><option value="bza310">bza310</option><option value="bza311">bza311</option><option value="bza312">bza312</option><option value="bza313">bza313</option><option value="bza314">bza314</option><option value="bza315">bza315</option><option value="bza316">bza316</option><option value="bza317">bza317</option><option value="bza318">bza318</option><option value="bza319">bza319</option><option value="bza320">bza320</option><option value="bza321">bza321</option><option value="bza322">bza322</option><option value="bza323">bza323</option><option value="bza324">bza324</option><option value="bza325">bza325</option><option value="bza326">bza326</option><option value="bza327">bza327</option><option value="bza328">bza328</option><option value="bza329">bza329</option><option value="bza330">bza330</option><option value="bza331">bza331</option><option value="bza332">bza332</option><option value="bza333">bza333</option><option value="bza334">bza334</option><option value="bza335">bza335</option><option value="bza336">bza336</option><option value="bza337">bza337</option><option value="bza338">bza338</option><option value="bza339">bza339</option><option value="bza340">bza340</option><option value="bza341">bza341</option><option value="bza342">bza342</option><option value="bza343">bza343</option><option value="bza344">bza344</option><option value="bza345">bza345</option><option value="bza346">bza346</option><option value="bza347">bza347</option><option value="bza348">bza348</option><option value="bza349">bza349</option><option value="bza350">bza350</option><option value="bza351">bza351</option><option value="bza352">bza352</option><option value="bza353">bza353</option><option value="bza354">bza354</option><option value="bza355">bza355</option><option value="bza356">bza356</option><option value="bza357">bza357</option><option value="bza358">bza358</option><option value="bza359">bza359</option><option value="bza360">bza360</option><option value="bza361">bza361</option><option value="bza362">bza362</option><option value="bza363">bza363</option><option value="bza364">bza364</option></select></p></form><xsl:apply-templates select="text"/><p>This webpage is part of the <a href="index.html">別譯雜阿含經 T.100</a> project.</p></div><script src="http://www.google-analytics.com/urchin.js" type="text/javascript"/><script type="text/javascript">
                    _uacct = "UA-3587184-1";
                    urchinTracker();
                </script></body></html></xsl:template><xsl:template match="body"><table><thead><tr><th>別譯雜阿含<br/>BZA (T.100)</th><th>雜阿含<br/>ZA (T.99)</th><th>其他漢譯異譯本<br/>Other Chinese Parallels</th><th>巴利語 <br/>Pāli </th><th>梵語/<span style="color:brown">藏文</span>/<span style="color:green ">其他</span><br/>Sanskrit/Tibetan/Others</th></tr></thead><xsl:for-each select="//list[@type='cluster']"><xsl:sort data-type="number" select="@num"/><tr><td valign="top">
                        <!-- creates the id for the goto form at the top -->
                        Original position (20 卷 version):
                        <b><xsl:value-of select="@num"/></b><br/>
                        
                        TPK/Taishō position (16 卷 version):
                        <a id="{item[@n='bza']/ref/seg[@type='detailed']}" href="cluster.xql?base={item[@n='bza']/ref/seg[@type='detailed']}"><xsl:value-of select="substring-after(item[@n='bza']/ref/seg[@type='detailed'], 'bza')"/></a><br/><xsl:value-of select="head[@xml:lang='en']"/><br/><xsl:value-of select="head[@xml:lang='zh']"/><br/></td><td>
                        <!-- the note template at the bottom transforms the note into a * the template is pulled in by the apply-template.  a space is inserted by default before the *  we get rid of it with the normalize-space function --><xsl:for-each select="item[@n='za']/ref/seg[@type='detailed']"><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/><br/></xsl:for-each></td><td><xsl:for-each select="item[@xml:lang='zh'][not(@n='bza')][not(@n='za')]"><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="ref/seg/note"/><br/></xsl:for-each></td>
                    <!-- td for pali --><td><xsl:for-each select="item[@xml:lang='pi']/ref/seg[@type='detailed']"><xsl:choose>
                                <!-- if the title is only referred to add a 'cf.' --><xsl:when test="preceding-sibling::seg[contains(., 'cf.')] "><xsl:text>cf. </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/><br/></xsl:when><xsl:otherwise><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/><br/></xsl:otherwise></xsl:choose></xsl:for-each></td>
                    
                    <!-- td for sanskrit, tibetan and uighur--><td><xsl:for-each select="item[@xml:lang='sa' or @xml:lang='bo' or @xml:lang='ug']/ref/seg[@type='detailed']"><xsl:choose>
                                <!-- if the title is only referred to add a 'cf.' --><xsl:when test="preceding-sibling::seg[contains(., 'cf.')] "><xsl:if test="ancestor::item[@xml:lang='sa']"><xsl:text>cf. </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/></xsl:if><xsl:if test="ancestor::item[@xml:lang='bo']"><span style="color:brown"><xsl:text>cf. </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/></span></xsl:if><xsl:if test="ancestor::item[@xml:lang='ug']"><span style="color:green"><xsl:text>cf. </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/></span></xsl:if><br/></xsl:when><xsl:otherwise><xsl:if test="ancestor::item[@xml:lang='sa']"><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/></xsl:if><xsl:if test="ancestor::item[@xml:lang='bo']"><span style="color:brown"><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/></span></xsl:if><xsl:if test="ancestor::item[@xml:lang='ug']"><span style="color:green"><xsl:value-of select="normalize-space(.)"/><xsl:apply-templates select="note"/></span></xsl:if><br/></xsl:otherwise></xsl:choose></xsl:for-each></td></tr></xsl:for-each></table></xsl:template><xsl:template match="note"><xsl:text>*</xsl:text></xsl:template></xsl:stylesheet>